Summary:        SASL Authentication framework for Perl
Name:           perl-Authen-SASL
Version:        2.1700
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Authen-SASL
Source0:        https://cpan.metacpan.org/authors/id/E/EH/EHUELS/Authen-SASL-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(bytes) perl(Carp)
BuildRequires:  perl(Digest::HMAC_MD5) perl(Digest::MD5) perl(GSSAPI) perl(Tie::Handle)
BuildRequires:  perl(vars) perl(FindBin) perl(Test::More)
Requires:       perl(Tie::Handle)

BuildArch:      noarch

%description
This package provides a generic mechanism for authentication used by
several network protocols. Authen::SASL provides an implementation framework
that all protocols should be able to share.

%prep
%autosetup -n Authen-SASL-%{version} -p1

rm -rf inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST
chmod -c a-x example_pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}

%check
unset AUTHOR_TESTING
%make_build test

%files
%doc api.txt Changes example_pl README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1700-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1700-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 2.1700-1
- Upgrade to version 2.1700

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.16-4
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 11 2022 Shuo Wang <abushwang@tencent.com> - 2.16-1
- initial build

